HEALTH-CHECK(8)

NAME
health-check - a tool to measure system events.

SYNOPSIS
health-check [options]

DESCRIPTION
Health-check monitors a process and optionally their child processes and threads for a given amount of time. At the end of the monitoring it will display the CPU time used, wakeup events generated and I/O operations of the given processes. It can be used to diagnose unhealthy badly behaving processes.

OPTIONS
health-check options are as follow:

-h  Show help

-b  Brief (terse) output for quick overview.

-c  Find and monitor all child and threads of a given set of processes. This option is only useful when attaching to already running processes using the -p option.

-d  Specify analysis duration in seconds. Default is 60 seconds. A duration of 0 will make health-check run forever, or until the monitored process exits.

-f  Follow fork, vfork and clone system calls.

-p pid[,pid]
    Specify which processes to analyse. Can be process ID or process name.

-r  Resolve IP addresses, this can take some time, hence it is an opt-in feature.

-m max
    Specify maximum number of timeout blocking system calls are logged before completing. This is useful with very busy processes that can generate tens of thousands of ptrace events that have to be logged by health-check. The default is 1 million.

-o logfile
    Specify output log file to export JSON formatted results. The resulting data can be then easily imported and analysed using JSON parsing tools.

-u username
    Run command as the specified user. This cannot be used with the -p option.

-v verbose
    Enable verbose mode (currently just for -W wakelock option). Not compatible with the -b brief option.

-w  This uses fnotify to count the number of wakelock lock/unlocks. Lightweight and simple wakelock monitoring.

-W  This does deeper system call inspection to monitor wakelock usage and uses up more run time processing to perform the inspection.

AUTHOR
health-check was written by Colin Ian King <colin.i.king@gmail.com>

This manual page was written by Colin Ian King, for the Ubuntu project (but may be used by others).

COPYRIGHT
Copyright © 2014-2021 Canonical Ltd, Copyright © 2021-2025 Colin Ian King
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.